SUSE-SU-2018:0278-1: important: Security update for the Linux Kernel (Live Patch 9 for SLE 12 SP2)

\n\n SUSE Security Update: Security update for the Linux Kernel (Live Patch 9 for SLE 12 SP2)
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:0278-1
Rating: important
References: #1069708 #1070307 #1073230
Cross-References: CVE-2017-16939 CVE-2017-17712
Affected Products:
SUSE Linux Enterprise Live Patching 12
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for the Linux Kernel 4.4.59-92_24 fixes several issues.

The following security issues were fixed:

– CVE-2017-17712: The raw_sendmsg() function had a race condition that
lead to uninitialized stack pointer usage. This allowed a local user to
execute code and gain privileges (bsc#1073230).
– CVE-2017-16939: The XFRM dump policy implementation allowed local users
to gain privileges or cause a denial of service (use-after-free) via a
crafted SO_RCVBUF setsockopt system call in conjunction with
XFRM_MSG_GETPOLICY Netlink messages (bsc#1069708).

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

– SUSE Linux Enterprise Live Patching 12:

zypper in -t patch SUSE-SLE-Live-Patching-12-2018-201=1

To bring your system up-to-date, use “zypper patch”.

Package List:

– SUSE Linux Enterprise Live Patching 12 (x86_64):

kgraft-patch-4_4_59-92_24-default-7-2.1

References:

https://www.suse.com/security/cve/CVE-2017-16939.html
https://www.suse.com/security/cve/CVE-2017-17712.html
https://bugzilla.suse.com/1069708
https://bugzilla.suse.com/1070307
https://bugzilla.suse.com/1073230


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org